#include <iostream>
#include <math.h>
using namespace std;
int main()
{
  long long l,m,i,x,r;
  int n;
  int a[i];
  cin>>n>>x;
  l=x;
  m=x;
  for(int i=0;i<n;i++)
  {
    cin>>a[i];
  }
  for(int i=0;i<n;i++)
  {
   if(a[i]>m)
    m=a[i];
   if(a[i]<l)
    l=a[i];
  }
  if(fabs(m-x)>fabs(x-l))
   r=fabs(2*(x-l)+(m-x));
  else
   r=(x-l)+2*(m-x);
   cout<<r;
   return 0;
}